Bug 1127854 - [RFE] Need ceph-deploy to be able to run to JUST copy ceph.conf and keyring to a specific host
Summary: [RFE] Need ceph-deploy to be able to run to JUST copy ceph.conf and keyring t...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ceph
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: z1
: 5.0 (RHEL 7)
Assignee: Alfredo Deza
QA Contact: Warren
URL: https://trello.com/c/zcyYpb6G
Whiteboard: MVP
Depends On:
Blocks: 1108193
TreeView+ depends on / blocked
 
Reported: 2014-08-07 17:08 UTC by arkady kanevsky
Modified: 2016-04-26 23:39 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1127852
: 1127856 (view as bug list)
Environment:
Last Closed: 2014-08-21 18:35:07 UTC


Attachments (Terms of Use)

Description arkady kanevsky 2014-08-07 17:08:38 UTC
+++ This bug was initially created as a clone of Bug #1127852 +++

Description of problem:
As part of OpenStack deployment with Ceph backend end for block storage we need ceph-deploy command to be able to push keyring and ceph.conf files to an OSP Foreman node so it can distribute to all nodes as part of node provisioning

Version-Release number of selected component (if applicable):
RHEL OSP5  Installer

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Neil Levine 2014-08-11 21:19:33 UTC
This functionality already exists.

ceph-deploy admin <host> will copy the client.admin.keyring and ceph.conf to a host

It can be run anytime after the initial cluster has been created.

Comment 4 Crag Wolfe 2014-08-14 18:17:02 UTC
Neil, from my understanding, this command does not push the other keyring files that we need.  I.e., if we have two openstack pools, the corresponding pools are /etc/ceph/ceph.client.images.keyring and /etc/ceph/ceph.client.volumes.keyring.

If I'm missing the ceph-deploy subcommand to do that, please let me know.  Otherwise, it is an RFE for ceph-deploy.

Comment 5 Neil Levine 2014-08-14 18:55:09 UTC
Hmm. Given, we are reversing the workflow as per https://bugzilla.redhat.com/show_bug.cgi?id=1127852 where the RHEL-OSP Installer can generate the key and pass it to both the ICE INstaller node, but also push to any OSP Controller node, is this feature actually needed now?

Comment 6 Neil Levine 2014-08-21 18:35:07 UTC
Workflow changed and this feature is no longer required. 
New tickets that reflect ceph.conf/keyring distribution being done by Puppet are:

https://bugzilla.redhat.com/show_bug.cgi?id=1132647

and

https://bugzilla.redhat.com/show_bug.cgi?id=1132648


Note You need to log in before you can comment on or make changes to this bug.